package com.ruoyi.interfaces.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class PtMapCriteria {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public PtMapCriteria() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andMapIdIsNull() {
            addCriterion("MAP_ID is null");
            return (Criteria) this;
        }

        public Criteria andMapIdIsNotNull() {
            addCriterion("MAP_ID is not null");
            return (Criteria) this;
        }

        public Criteria andMapIdEqualTo(String value) {
            addCriterion("MAP_ID =", value, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapIdNotEqualTo(String value) {
            addCriterion("MAP_ID <>", value, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapIdGreaterThan(String value) {
            addCriterion("MAP_ID >", value, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapIdGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_ID >=", value, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapIdLessThan(String value) {
            addCriterion("MAP_ID <", value, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapIdLessThanOrEqualTo(String value) {
            addCriterion("MAP_ID <=", value, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapIdLike(String value) {
            addCriterion("MAP_ID like", value, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapIdNotLike(String value) {
            addCriterion("MAP_ID not like", value, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapIdIn(List<String> values) {
            addCriterion("MAP_ID in", values, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapIdNotIn(List<String> values) {
            addCriterion("MAP_ID not in", values, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapIdBetween(String value1, String value2) {
            addCriterion("MAP_ID between", value1, value2, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapIdNotBetween(String value1, String value2) {
            addCriterion("MAP_ID not between", value1, value2, "mapId");
            return (Criteria) this;
        }

        public Criteria andMapCodeIsNull() {
            addCriterion("MAP_CODE is null");
            return (Criteria) this;
        }

        public Criteria andMapCodeIsNotNull() {
            addCriterion("MAP_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andMapCodeEqualTo(String value) {
            addCriterion("MAP_CODE =", value, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapCodeNotEqualTo(String value) {
            addCriterion("MAP_CODE <>", value, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapCodeGreaterThan(String value) {
            addCriterion("MAP_CODE >", value, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapCodeGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_CODE >=", value, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapCodeLessThan(String value) {
            addCriterion("MAP_CODE <", value, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapCodeLessThanOrEqualTo(String value) {
            addCriterion("MAP_CODE <=", value, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapCodeLike(String value) {
            addCriterion("MAP_CODE like", value, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapCodeNotLike(String value) {
            addCriterion("MAP_CODE not like", value, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapCodeIn(List<String> values) {
            addCriterion("MAP_CODE in", values, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapCodeNotIn(List<String> values) {
            addCriterion("MAP_CODE not in", values, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapCodeBetween(String value1, String value2) {
            addCriterion("MAP_CODE between", value1, value2, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapCodeNotBetween(String value1, String value2) {
            addCriterion("MAP_CODE not between", value1, value2, "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapNameIsNull() {
            addCriterion("MAP_NAME is null");
            return (Criteria) this;
        }

        public Criteria andMapNameIsNotNull() {
            addCriterion("MAP_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andMapNameEqualTo(String value) {
            addCriterion("MAP_NAME =", value, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapNameNotEqualTo(String value) {
            addCriterion("MAP_NAME <>", value, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapNameGreaterThan(String value) {
            addCriterion("MAP_NAME >", value, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapNameGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_NAME >=", value, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapNameLessThan(String value) {
            addCriterion("MAP_NAME <", value, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapNameLessThanOrEqualTo(String value) {
            addCriterion("MAP_NAME <=", value, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapNameLike(String value) {
            addCriterion("MAP_NAME like", value, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapNameNotLike(String value) {
            addCriterion("MAP_NAME not like", value, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapNameIn(List<String> values) {
            addCriterion("MAP_NAME in", values, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapNameNotIn(List<String> values) {
            addCriterion("MAP_NAME not in", values, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapNameBetween(String value1, String value2) {
            addCriterion("MAP_NAME between", value1, value2, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapNameNotBetween(String value1, String value2) {
            addCriterion("MAP_NAME not between", value1, value2, "mapName");
            return (Criteria) this;
        }

        public Criteria andMapUrlIsNull() {
            addCriterion("MAP_URL is null");
            return (Criteria) this;
        }

        public Criteria andMapUrlIsNotNull() {
            addCriterion("MAP_URL is not null");
            return (Criteria) this;
        }

        public Criteria andMapUrlEqualTo(String value) {
            addCriterion("MAP_URL =", value, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapUrlNotEqualTo(String value) {
            addCriterion("MAP_URL <>", value, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapUrlGreaterThan(String value) {
            addCriterion("MAP_URL >", value, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapUrlGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_URL >=", value, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapUrlLessThan(String value) {
            addCriterion("MAP_URL <", value, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapUrlLessThanOrEqualTo(String value) {
            addCriterion("MAP_URL <=", value, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapUrlLike(String value) {
            addCriterion("MAP_URL like", value, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapUrlNotLike(String value) {
            addCriterion("MAP_URL not like", value, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapUrlIn(List<String> values) {
            addCriterion("MAP_URL in", values, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapUrlNotIn(List<String> values) {
            addCriterion("MAP_URL not in", values, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapUrlBetween(String value1, String value2) {
            addCriterion("MAP_URL between", value1, value2, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapUrlNotBetween(String value1, String value2) {
            addCriterion("MAP_URL not between", value1, value2, "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapCateIsNull() {
            addCriterion("MAP_CATE is null");
            return (Criteria) this;
        }

        public Criteria andMapCateIsNotNull() {
            addCriterion("MAP_CATE is not null");
            return (Criteria) this;
        }

        public Criteria andMapCateEqualTo(String value) {
            addCriterion("MAP_CATE =", value, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCateNotEqualTo(String value) {
            addCriterion("MAP_CATE <>", value, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCateGreaterThan(String value) {
            addCriterion("MAP_CATE >", value, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCateGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_CATE >=", value, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCateLessThan(String value) {
            addCriterion("MAP_CATE <", value, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCateLessThanOrEqualTo(String value) {
            addCriterion("MAP_CATE <=", value, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCateLike(String value) {
            addCriterion("MAP_CATE like", value, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCateNotLike(String value) {
            addCriterion("MAP_CATE not like", value, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCateIn(List<String> values) {
            addCriterion("MAP_CATE in", values, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCateNotIn(List<String> values) {
            addCriterion("MAP_CATE not in", values, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCateBetween(String value1, String value2) {
            addCriterion("MAP_CATE between", value1, value2, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCateNotBetween(String value1, String value2) {
            addCriterion("MAP_CATE not between", value1, value2, "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCacheIsNull() {
            addCriterion("MAP_CACHE is null");
            return (Criteria) this;
        }

        public Criteria andMapCacheIsNotNull() {
            addCriterion("MAP_CACHE is not null");
            return (Criteria) this;
        }

        public Criteria andMapCacheEqualTo(String value) {
            addCriterion("MAP_CACHE =", value, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapCacheNotEqualTo(String value) {
            addCriterion("MAP_CACHE <>", value, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapCacheGreaterThan(String value) {
            addCriterion("MAP_CACHE >", value, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapCacheGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_CACHE >=", value, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapCacheLessThan(String value) {
            addCriterion("MAP_CACHE <", value, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapCacheLessThanOrEqualTo(String value) {
            addCriterion("MAP_CACHE <=", value, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapCacheLike(String value) {
            addCriterion("MAP_CACHE like", value, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapCacheNotLike(String value) {
            addCriterion("MAP_CACHE not like", value, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapCacheIn(List<String> values) {
            addCriterion("MAP_CACHE in", values, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapCacheNotIn(List<String> values) {
            addCriterion("MAP_CACHE not in", values, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapCacheBetween(String value1, String value2) {
            addCriterion("MAP_CACHE between", value1, value2, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapCacheNotBetween(String value1, String value2) {
            addCriterion("MAP_CACHE not between", value1, value2, "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapFormatIsNull() {
            addCriterion("MAP_FORMAT is null");
            return (Criteria) this;
        }

        public Criteria andMapFormatIsNotNull() {
            addCriterion("MAP_FORMAT is not null");
            return (Criteria) this;
        }

        public Criteria andMapFormatEqualTo(String value) {
            addCriterion("MAP_FORMAT =", value, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapFormatNotEqualTo(String value) {
            addCriterion("MAP_FORMAT <>", value, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapFormatGreaterThan(String value) {
            addCriterion("MAP_FORMAT >", value, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapFormatGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_FORMAT >=", value, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapFormatLessThan(String value) {
            addCriterion("MAP_FORMAT <", value, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapFormatLessThanOrEqualTo(String value) {
            addCriterion("MAP_FORMAT <=", value, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapFormatLike(String value) {
            addCriterion("MAP_FORMAT like", value, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapFormatNotLike(String value) {
            addCriterion("MAP_FORMAT not like", value, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapFormatIn(List<String> values) {
            addCriterion("MAP_FORMAT in", values, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapFormatNotIn(List<String> values) {
            addCriterion("MAP_FORMAT not in", values, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapFormatBetween(String value1, String value2) {
            addCriterion("MAP_FORMAT between", value1, value2, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapFormatNotBetween(String value1, String value2) {
            addCriterion("MAP_FORMAT not between", value1, value2, "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapTypeIsNull() {
            addCriterion("MAP_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andMapTypeIsNotNull() {
            addCriterion("MAP_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andMapTypeEqualTo(String value) {
            addCriterion("MAP_TYPE =", value, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapTypeNotEqualTo(String value) {
            addCriterion("MAP_TYPE <>", value, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapTypeGreaterThan(String value) {
            addCriterion("MAP_TYPE >", value, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapTypeGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_TYPE >=", value, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapTypeLessThan(String value) {
            addCriterion("MAP_TYPE <", value, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapTypeLessThanOrEqualTo(String value) {
            addCriterion("MAP_TYPE <=", value, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapTypeLike(String value) {
            addCriterion("MAP_TYPE like", value, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapTypeNotLike(String value) {
            addCriterion("MAP_TYPE not like", value, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapTypeIn(List<String> values) {
            addCriterion("MAP_TYPE in", values, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapTypeNotIn(List<String> values) {
            addCriterion("MAP_TYPE not in", values, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapTypeBetween(String value1, String value2) {
            addCriterion("MAP_TYPE between", value1, value2, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapTypeNotBetween(String value1, String value2) {
            addCriterion("MAP_TYPE not between", value1, value2, "mapType");
            return (Criteria) this;
        }

        public Criteria andMapStyleIsNull() {
            addCriterion("MAP_STYLE is null");
            return (Criteria) this;
        }

        public Criteria andMapStyleIsNotNull() {
            addCriterion("MAP_STYLE is not null");
            return (Criteria) this;
        }

        public Criteria andMapStyleEqualTo(String value) {
            addCriterion("MAP_STYLE =", value, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapStyleNotEqualTo(String value) {
            addCriterion("MAP_STYLE <>", value, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapStyleGreaterThan(String value) {
            addCriterion("MAP_STYLE >", value, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapStyleGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_STYLE >=", value, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapStyleLessThan(String value) {
            addCriterion("MAP_STYLE <", value, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapStyleLessThanOrEqualTo(String value) {
            addCriterion("MAP_STYLE <=", value, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapStyleLike(String value) {
            addCriterion("MAP_STYLE like", value, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapStyleNotLike(String value) {
            addCriterion("MAP_STYLE not like", value, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapStyleIn(List<String> values) {
            addCriterion("MAP_STYLE in", values, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapStyleNotIn(List<String> values) {
            addCriterion("MAP_STYLE not in", values, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapStyleBetween(String value1, String value2) {
            addCriterion("MAP_STYLE between", value1, value2, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapStyleNotBetween(String value1, String value2) {
            addCriterion("MAP_STYLE not between", value1, value2, "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapVersionIsNull() {
            addCriterion("MAP_VERSION is null");
            return (Criteria) this;
        }

        public Criteria andMapVersionIsNotNull() {
            addCriterion("MAP_VERSION is not null");
            return (Criteria) this;
        }

        public Criteria andMapVersionEqualTo(String value) {
            addCriterion("MAP_VERSION =", value, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapVersionNotEqualTo(String value) {
            addCriterion("MAP_VERSION <>", value, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapVersionGreaterThan(String value) {
            addCriterion("MAP_VERSION >", value, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapVersionGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_VERSION >=", value, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapVersionLessThan(String value) {
            addCriterion("MAP_VERSION <", value, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapVersionLessThanOrEqualTo(String value) {
            addCriterion("MAP_VERSION <=", value, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapVersionLike(String value) {
            addCriterion("MAP_VERSION like", value, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapVersionNotLike(String value) {
            addCriterion("MAP_VERSION not like", value, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapVersionIn(List<String> values) {
            addCriterion("MAP_VERSION in", values, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapVersionNotIn(List<String> values) {
            addCriterion("MAP_VERSION not in", values, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapVersionBetween(String value1, String value2) {
            addCriterion("MAP_VERSION between", value1, value2, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapVersionNotBetween(String value1, String value2) {
            addCriterion("MAP_VERSION not between", value1, value2, "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapNoteIsNull() {
            addCriterion("MAP_NOTE is null");
            return (Criteria) this;
        }

        public Criteria andMapNoteIsNotNull() {
            addCriterion("MAP_NOTE is not null");
            return (Criteria) this;
        }

        public Criteria andMapNoteEqualTo(String value) {
            addCriterion("MAP_NOTE =", value, "mapNote");
            return (Criteria) this;
        }

        public Criteria andMapNoteNotEqualTo(String value) {
            addCriterion("MAP_NOTE <>", value, "mapNote");
            return (Criteria) this;
        }

        public Criteria andMapNoteGreaterThan(String value) {
            addCriterion("MAP_NOTE >", value, "mapNote");
            return (Criteria) this;
        }

        public Criteria andMapNoteGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_NOTE >=", value, "mapNote");
            return (Criteria) this;
        }

        public Criteria andMapNoteLessThan(String value) {
            addCriterion("MAP_NOTE <", value, "mapNote");
            return (Criteria) this;
        }

        public Criteria andMapNoteLessThanOrEqualTo(String value) {
            addCriterion("MAP_NOTE <=", value, "mapNote");
            return (Criteria) this;
        }

        public Criteria andMapNoteLike(String value) {
            addCriterion("MAP_NOTE like", value, "mapNote");
            return (Criteria) this;
        }

        public Criteria andMapNoteNotLike(String value) {
            addCriterion("MAP_NOTE not like", value, "mapNote");
            return (Criteria) this;
        }

        public Criteria andMapNoteIn(List<String> values) {
            addCriterion("MAP_NOTE in", values, "mapNote");
            return (Criteria) this;
        }

        public Criteria andMapNoteNotIn(List<String> values) {
            addCriterion("MAP_NOTE not in", values, "mapNote");
            return (Criteria) this;
        }

        public Criteria andMapNoteBetween(String value1, String value2) {
            addCriterion("MAP_NOTE between", value1, value2, "mapNote");
            return (Criteria) this;
        }

        public Criteria andMapNoteNotBetween(String value1, String value2) {
            addCriterion("MAP_NOTE not between", value1, value2, "mapNote");
            return (Criteria) this;
        }

        public Criteria andPubDateIsNull() {
            addCriterion("PUB_DATE is null");
            return (Criteria) this;
        }

        public Criteria andPubDateIsNotNull() {
            addCriterion("PUB_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andPubDateEqualTo(Date value) {
            addCriterion("PUB_DATE =", value, "pubDate");
            return (Criteria) this;
        }

        public Criteria andPubDateNotEqualTo(Date value) {
            addCriterion("PUB_DATE <>", value, "pubDate");
            return (Criteria) this;
        }

        public Criteria andPubDateGreaterThan(Date value) {
            addCriterion("PUB_DATE >", value, "pubDate");
            return (Criteria) this;
        }

        public Criteria andPubDateGreaterThanOrEqualTo(Date value) {
            addCriterion("PUB_DATE >=", value, "pubDate");
            return (Criteria) this;
        }

        public Criteria andPubDateLessThan(Date value) {
            addCriterion("PUB_DATE <", value, "pubDate");
            return (Criteria) this;
        }

        public Criteria andPubDateLessThanOrEqualTo(Date value) {
            addCriterion("PUB_DATE <=", value, "pubDate");
            return (Criteria) this;
        }

        public Criteria andPubDateIn(List<Date> values) {
            addCriterion("PUB_DATE in", values, "pubDate");
            return (Criteria) this;
        }

        public Criteria andPubDateNotIn(List<Date> values) {
            addCriterion("PUB_DATE not in", values, "pubDate");
            return (Criteria) this;
        }

        public Criteria andPubDateBetween(Date value1, Date value2) {
            addCriterion("PUB_DATE between", value1, value2, "pubDate");
            return (Criteria) this;
        }

        public Criteria andPubDateNotBetween(Date value1, Date value2) {
            addCriterion("PUB_DATE not between", value1, value2, "pubDate");
            return (Criteria) this;
        }

        public Criteria andPubUseridIsNull() {
            addCriterion("PUB_USERID is null");
            return (Criteria) this;
        }

        public Criteria andPubUseridIsNotNull() {
            addCriterion("PUB_USERID is not null");
            return (Criteria) this;
        }

        public Criteria andPubUseridEqualTo(String value) {
            addCriterion("PUB_USERID =", value, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUseridNotEqualTo(String value) {
            addCriterion("PUB_USERID <>", value, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUseridGreaterThan(String value) {
            addCriterion("PUB_USERID >", value, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUseridGreaterThanOrEqualTo(String value) {
            addCriterion("PUB_USERID >=", value, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUseridLessThan(String value) {
            addCriterion("PUB_USERID <", value, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUseridLessThanOrEqualTo(String value) {
            addCriterion("PUB_USERID <=", value, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUseridLike(String value) {
            addCriterion("PUB_USERID like", value, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUseridNotLike(String value) {
            addCriterion("PUB_USERID not like", value, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUseridIn(List<String> values) {
            addCriterion("PUB_USERID in", values, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUseridNotIn(List<String> values) {
            addCriterion("PUB_USERID not in", values, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUseridBetween(String value1, String value2) {
            addCriterion("PUB_USERID between", value1, value2, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUseridNotBetween(String value1, String value2) {
            addCriterion("PUB_USERID not between", value1, value2, "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUsernameIsNull() {
            addCriterion("PUB_USERNAME is null");
            return (Criteria) this;
        }

        public Criteria andPubUsernameIsNotNull() {
            addCriterion("PUB_USERNAME is not null");
            return (Criteria) this;
        }

        public Criteria andPubUsernameEqualTo(String value) {
            addCriterion("PUB_USERNAME =", value, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andPubUsernameNotEqualTo(String value) {
            addCriterion("PUB_USERNAME <>", value, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andPubUsernameGreaterThan(String value) {
            addCriterion("PUB_USERNAME >", value, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andPubUsernameGreaterThanOrEqualTo(String value) {
            addCriterion("PUB_USERNAME >=", value, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andPubUsernameLessThan(String value) {
            addCriterion("PUB_USERNAME <", value, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andPubUsernameLessThanOrEqualTo(String value) {
            addCriterion("PUB_USERNAME <=", value, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andPubUsernameLike(String value) {
            addCriterion("PUB_USERNAME like", value, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andPubUsernameNotLike(String value) {
            addCriterion("PUB_USERNAME not like", value, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andPubUsernameIn(List<String> values) {
            addCriterion("PUB_USERNAME in", values, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andPubUsernameNotIn(List<String> values) {
            addCriterion("PUB_USERNAME not in", values, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andPubUsernameBetween(String value1, String value2) {
            addCriterion("PUB_USERNAME between", value1, value2, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andPubUsernameNotBetween(String value1, String value2) {
            addCriterion("PUB_USERNAME not between", value1, value2, "pubUsername");
            return (Criteria) this;
        }

        public Criteria andMapSourceIsNull() {
            addCriterion("MAP_SOURCE is null");
            return (Criteria) this;
        }

        public Criteria andMapSourceIsNotNull() {
            addCriterion("MAP_SOURCE is not null");
            return (Criteria) this;
        }

        public Criteria andMapSourceEqualTo(String value) {
            addCriterion("MAP_SOURCE =", value, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapSourceNotEqualTo(String value) {
            addCriterion("MAP_SOURCE <>", value, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapSourceGreaterThan(String value) {
            addCriterion("MAP_SOURCE >", value, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapSourceGreaterThanOrEqualTo(String value) {
            addCriterion("MAP_SOURCE >=", value, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapSourceLessThan(String value) {
            addCriterion("MAP_SOURCE <", value, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapSourceLessThanOrEqualTo(String value) {
            addCriterion("MAP_SOURCE <=", value, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapSourceLike(String value) {
            addCriterion("MAP_SOURCE like", value, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapSourceNotLike(String value) {
            addCriterion("MAP_SOURCE not like", value, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapSourceIn(List<String> values) {
            addCriterion("MAP_SOURCE in", values, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapSourceNotIn(List<String> values) {
            addCriterion("MAP_SOURCE not in", values, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapSourceBetween(String value1, String value2) {
            addCriterion("MAP_SOURCE between", value1, value2, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapSourceNotBetween(String value1, String value2) {
            addCriterion("MAP_SOURCE not between", value1, value2, "mapSource");
            return (Criteria) this;
        }

        public Criteria andMapIdLikeInsensitive(String value) {
            addCriterion("upper(MAP_ID) like", value.toUpperCase(), "mapId");
            return (Criteria) this;
        }

        public Criteria andMapCodeLikeInsensitive(String value) {
            addCriterion("upper(MAP_CODE) like", value.toUpperCase(), "mapCode");
            return (Criteria) this;
        }

        public Criteria andMapNameLikeInsensitive(String value) {
            addCriterion("upper(MAP_NAME) like", value.toUpperCase(), "mapName");
            return (Criteria) this;
        }

        public Criteria andMapUrlLikeInsensitive(String value) {
            addCriterion("upper(MAP_URL) like", value.toUpperCase(), "mapUrl");
            return (Criteria) this;
        }

        public Criteria andMapCateLikeInsensitive(String value) {
            addCriterion("upper(MAP_CATE) like", value.toUpperCase(), "mapCate");
            return (Criteria) this;
        }

        public Criteria andMapCacheLikeInsensitive(String value) {
            addCriterion("upper(MAP_CACHE) like", value.toUpperCase(), "mapCache");
            return (Criteria) this;
        }

        public Criteria andMapFormatLikeInsensitive(String value) {
            addCriterion("upper(MAP_FORMAT) like", value.toUpperCase(), "mapFormat");
            return (Criteria) this;
        }

        public Criteria andMapTypeLikeInsensitive(String value) {
            addCriterion("upper(MAP_TYPE) like", value.toUpperCase(), "mapType");
            return (Criteria) this;
        }

        public Criteria andMapStyleLikeInsensitive(String value) {
            addCriterion("upper(MAP_STYLE) like", value.toUpperCase(), "mapStyle");
            return (Criteria) this;
        }

        public Criteria andMapVersionLikeInsensitive(String value) {
            addCriterion("upper(MAP_VERSION) like", value.toUpperCase(), "mapVersion");
            return (Criteria) this;
        }

        public Criteria andMapNoteLikeInsensitive(String value) {
            addCriterion("upper(MAP_NOTE) like", value.toUpperCase(), "mapNote");
            return (Criteria) this;
        }

        public Criteria andPubUseridLikeInsensitive(String value) {
            addCriterion("upper(PUB_USERID) like", value.toUpperCase(), "pubUserid");
            return (Criteria) this;
        }

        public Criteria andPubUsernameLikeInsensitive(String value) {
            addCriterion("upper(PUB_USERNAME) like", value.toUpperCase(), "pubUsername");
            return (Criteria) this;
        }

        public Criteria andMapSourceLikeInsensitive(String value) {
            addCriterion("upper(MAP_SOURCE) like", value.toUpperCase(), "mapSource");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
